| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Types | Protected Attributes | List of all members
cv::quality::QualityBase Class Referenceabstract
Image Quality Analysis (IQA) API

`#include <opencv2/quality/qualitybase.hpp>`

Inheritance diagram for cv::quality::QualityBase:

## Public Member Functions
virtual | ~QualityBase ()=default
| Destructor. More...
void | clear () CV_OVERRIDE
| Implements Algorithm::clear() More...
virtual cv::Scalar | compute (InputArray img)=0
| Compute quality score per channel with the per-channel score in each element of the resulting cv::Scalar. See specific algorithm for interpreting result scores. More...
bool | empty () const CV_OVERRIDE
| Implements Algorithm::empty() More...
virtual void | getQualityMap (OutputArray dst) const
| Returns output quality map that was generated during computation, if supported by the algorithm. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Protected Types
using | _mat_type = cv::UMat
| internal mat type default More...

## Protected Attributes
_mat_type | _qualityMap
| Output quality maps if generated by algorithm. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Typedef Documentation

## ◆ _mat_type

using cv::quality::QualityBase::_mat_type = cv::UMat
| protected

internal mat type default

## Constructor & Destructor Documentation

## ◆ ~QualityBase()

virtual cv::quality::QualityBase::~QualityBase | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void cv::quality::QualityBase::clear | ( |  | ) |
| inline virtual

Python:
| None | = | cv.quality_QualityBase.clear( |  | )

Implements Algorithm::clear()

Reimplemented from cv::Algorithm.

Reimplemented in cv::quality::QualityPSNR, cv::quality::QualityGMSD, cv::quality::QualitySSIM, and cv::quality::QualityMSE.

## ◆ compute()

virtual cv::Scalar cv::quality::QualityBase::compute | ( | InputArray | img | ) |
| pure virtual

Python:
| retval | = | cv.quality_QualityBase.compute( | img | )

Compute quality score per channel with the per-channel score in each element of the resulting cv::Scalar. See specific algorithm for interpreting result scores.

Parameters

  img | comparison image, or image to evalute for no-reference quality algorithms

Implemented in cv::quality::QualityPSNR, cv::quality::QualityBRISQUE, cv::quality::QualityGMSD, cv::quality::QualitySSIM, and cv::quality::QualityMSE.

## ◆ empty()

bool cv::quality::QualityBase::empty | ( |  | ) | const
| inline virtual

Python:
| retval | = | cv.quality_QualityBase.empty( |  | )

Implements Algorithm::empty()

Reimplemented from cv::Algorithm.

Reimplemented in cv::quality::QualityPSNR, cv::quality::QualityGMSD, cv::quality::QualitySSIM, and cv::quality::QualityMSE.

## ◆ getQualityMap()

virtual void cv::quality::QualityBase::getQualityMap | ( | OutputArray | dst | ) | const
| inline virtual

Python:
| dst | = | cv.quality_QualityBase.getQualityMap( | [, dst] | )

Returns output quality map that was generated during computation, if supported by the algorithm.

## Member Data Documentation

## ◆ _qualityMap

_mat_type cv::quality::QualityBase::_qualityMap
| protected

Output quality maps if generated by algorithm.

The documentation for this class was generated from the following file:

- opencv2/quality/qualitybase.hpp